com.aliyun.svideosdk.common.struct.effect

## Class TrackEffectFilter

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.TrackEffect<EffectFilter>
  - - com.aliyun.svideosdk.common.struct.effect.TrackEffectFilter

-     public class TrackEffectFilter
      extends TrackEffect<EffectFilter>

  v3.27.0新增 轨道滤镜特效Bean

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TrackEffectFilter.Builder`

  - ### Field Summary

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.effect.TrackEffect

      `bean, duration, startTime`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setDuration(long duration, java.util.concurrent.TimeUnit timeUnit)` 设置在轨道的持续时间
    `void` | `setEffectConfig(EffectConfig effectConfig)` 设置自定义特效json实体
    `void` | `setStartTime(long startTime, java.util.concurrent.TimeUnit timeUnit)` 设置在轨道的开始时间

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.effect.TrackEffect

      `getBean, getDuration, getDuration, getEndTime, getEndTime, getResId, getSource, getStartTime, getStartTime, getViewId, setSource, setViewId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setStartTime

          public void setStartTime(long startTime,
                                   java.util.concurrent.TimeUnit timeUnit)

      Description copied from class: `TrackEffect`
      设置在轨道的开始时间
      Overrides:
        `setStartTime` in class `TrackEffect<EffectFilter>`
      Parameters:
        `startTime` - 开始时间
        `timeUnit` - 时间单位

    - #### setDuration

          public void setDuration(long duration,
                                  java.util.concurrent.TimeUnit timeUnit)

      Description copied from class: `TrackEffect`
      设置在轨道的持续时间
      Overrides:
        `setDuration` in class `TrackEffect<EffectFilter>`
        `timeUnit` - 时间单位

    - #### setEffectConfig

          public void setEffectConfig(EffectConfig effectConfig)

      设置自定义特效json实体
      Parameters:
        `mEffectConfig` - `EffectConfig`